Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface ClientRequestInfoOperations

All Superinterfaces:
  RequestInfoOperations

All Known Subinterfaces:
  ClientRequest, ClientRequestInfo

public interface ClientRequestInfoOperations
extends RequestInfoOperations

Interface definition : ClientRequestInfo

Author:
  OpenORB Compiler

Method Summary
`void` | `add_request_service_context(ServiceContext service_context, boolean replace)` Operation add_request_service_context
`TaggedProfile` | `effective_profile()` Read accessor for effective_profile attribute
`Object` | `effective_target()` Read accessor for effective_target attribute
`TaggedComponent` | `get_effective_component(int id)` Operation get_effective_component
`TaggedComponent[]` | `get_effective_components(int id)` Operation get_effective_components
`Policy` | `get_request_policy(int type)` Operation get_request_policy
`java.lang.String` | `received_exception_id()` Read accessor for received_exception_id attribute
`Any` | `received_exception()` Read accessor for received_exception attribute
`Object` | `target()` Read accessor for target attribute

Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations
`arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

Method Detail

### target

    public Object target()

  Read accessor for target attribute
  Returns:
    the attribute value

### effective_target

    public Object effective_target()

  Read accessor for effective_target attribute
  Returns:
    the attribute value

### effective_profile

    public TaggedProfile effective_profile()

  Read accessor for effective_profile attribute
  Returns:
    the attribute value

### received_exception

    public Any received_exception()

  Read accessor for received_exception attribute
  Returns:
    the attribute value

### received_exception_id

    public java.lang.String received_exception_id()

  Read accessor for received_exception_id attribute
  Returns:
    the attribute value

### get_effective_component

    public TaggedComponent get_effective_component(int id)

  Operation get_effective_component

### get_effective_components

    public TaggedComponent[] get_effective_components(int id)

  Operation get_effective_components

### get_request_policy

    public Policy get_request_policy(int type)

  Operation get_request_policy

### add_request_service_context

    public void add_request_service_context(ServiceContext service_context,
                                            boolean replace)

  Operation add_request_service_context

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD